Introduction
Changelog
Usage
Authentication
Headers
Errors
Rate Limiting
Webhooks
OAuth 2.0
User
Devices
Aggregation
Bills
Budgets
Challenges
CDR
Configuration
Contacts
Events
Goals
Messages
Pay Day
Payments
Reports
Surveys
Calculators
Images
get

/accounts/{id}

Get an existing Account by it’s ID in the Frollo system.

Authorization

oauth2 - clientCredentials

Request Parameters

1 Path Parameter

Responses

Account fetched

Schema
object
$schema: http://json-schema.org/draft-04/schema#
id
integer
3 validations
external_id
string

The external reference of this Account object. This can be any string identifier of your choosing (it doesn’t have to be the Account Number).

required
provider_name
string

The name of the Provider that this Account belogns to.

1 validation
account_status
string
1 validation
users
array[object]

The users array is not required when creating an account via the Create User API

account_name
string

The name of the account. This could be a user defined name or product description.

account_number
string

The account number as used for payments and identification within an institution.

container
string

The container this Account belongs to.

1 validation
account_type
string

The type of Account.

1 validation + required
current_balance
object

The current balance of the account

required
available_balance
object

The available balance of the account. This is the amount available to withdraw if a cash account or the amount available to spend for other account types.

interest_rate
string

The interest rate the balance accrues at. On a savings account this will be the savings interest rate. On a loan or credit card this will be the interest rate on that line of credit.

currency
string

The currency of the Account. Defaults to AUD

product_id
integer
available_cash
object
available_credit
object
total_cash_limit
object
total_credit_line
object
due_date
string
amount_due
object
minimum_amount_due
object
interest_total
object
apr
string
last_payment_amount
object
last_payment_date
string
bsb
string

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
Path Params
1 path param not set
id
$$.env
1 variable not set
oauth_access_token